Bug 1031329 - libqt5-qtwebengine fails to build with GCC 7
libqt5-qtwebengine fails to build with GCC 7
Status: RESOLVED FIXED
Classification: openSUSE
Product: openSUSE Tumbleweed
Classification: openSUSE
Component: KDE Workspace (Plasma)
Current
Other Other
: P2 - High : Normal (vote)
: ---
Assigned To: E-Mail List
E-mail List
:
Depends on:
Blocks: 1030236
  Show dependency treegraph
 
Reported: 2017-03-28 12:13 UTC by Martin Liška
Modified: 2017-06-02 12:11 UTC (History)
2 users (show)

See Also:
Found By: ---
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Liška 2017-03-28 12:13:52 UTC
https://build.opensuse.org/package/live_build_log/openSUSE:Factory:Staging:Gcc7/libqt5-qtwebengine/standard/x86_64

[  433s] /home/abuild/rpmbuild/BUILD/qtwebengine-opensource-src-5.7.1/src/3rdparty/chromium/mojo/public/cpp/bindings/interface_ptr_info.h: In member function 'mojo::InterfacePtrInfo<Interface>& mojo::InterfacePtrInfo<Interface>::operator=(mojo::InterfacePtrInfo<Interface>&&)':
[  433s] /home/abuild/rpmbuild/BUILD/qtwebengine-opensource-src-5.7.1/src/3rdparty/chromium/mojo/public/cpp/bindings/interface_ptr_info.h:37:31: error: 'mojo::ScopedMessagePipeHandle {aka class mojo::ScopedHandleBase<mojo::MessagePipeHandle>}' has no member named 'Pass'
[  433s]        handle_ = other.handle_.Pass();
[  433s]                                ^~~~

Can be tested in openSUSE:Factory:Staging:Gcc7 project.
Comment 1 Luca Beltrame 2017-03-28 12:35:27 UTC
Tracked upstream at https://bugreports.qt.io/browse/QTBUG-59776.
Comment 2 Dominique Leuenberger 2017-05-16 17:05:12 UTC
Fix has been submitted in https://build.opensuse.org/request/show/494963
Comment 3 Fabian Vogt 2017-06-02 12:11:54 UTC
Fixed.